/*
This file is part of Noob-a-Tron.

Copyright Jeff Mitchell 2016

Noob-a-Tron is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Noob-a-Tron is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Noob-a-Tron.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef INPUT_H
#define INPUT_H
#include <SDL2/SDL.h>

class Input {
private:
  bool* keys;
  bool* prevKeys;
  int numKeys;
public:
  void init();
  void kill();
  void update();
  bool keyDown(int key);
  bool keyHit(int key);
  bool keyUp(int key);
};
#endif
