/*
This file is part of Noob-a-Tron.

Copyright Jeff Mitchell 2016

Noob-a-Tron is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Noob-a-Tron is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Noob-a-Tron.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef THING_H_INCLUDED
#define THING_H_INCLUDED
#include <SDL2/SDL.h>

class Thing {
protected:
  SDL_Rect location;
public:
  void drawMe(SDL_Surface *img, SDL_Surface *vid, SDL_Rect area);
};

class Player: public Thing {
public:
Player(int a, int b);
};

class Plastic {
public:
  Plastic(int a, int b);
  ~Plastic();
  void KeepChecking();
  void DrawImageFrame(SDL_Surface* image, SDL_Surface* destSurface, int x, int y, int frame);
private:
  void BombFunctions();
  SDL_Rect location;
  int OldSeconds;
  int seconds;
};
#endif // THING_H_INCLUDED
